Retrieve Chart Account
curl --request GET \
--url https://api.meetcampfire.com/coa/api/account/{id}import requests
url = "https://api.meetcampfire.com/coa/api/account/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/coa/api/account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"reconciliation_ending_date": "2023-12-25",
"reconciliation_ending_balance": 0,
"balance_ytd": 0,
"name_and_number": "<string>",
"parent_name_and_number": "<string>",
"sort_key": "<string>",
"has_associated_data": true,
"last_modified_at": "2023-11-07T05:31:56Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"external_id": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"currency": "<string>",
"name": "<string>",
"nickname": "<string>",
"description": "<string>",
"status": "ACTIVE",
"account_type": "ASSET",
"account_subtype": "BANK",
"account_cashflow_classification": "NONE",
"include_in_eliminations": true,
"include_in_revaluations": true,
"protected": true,
"skip_subledger_validation": true,
"last_recompute_balance_at": "2023-11-07T05:31:56Z",
"lock_recompute_balance_key": "<string>",
"current_balance": 0,
"current_balance_book": 0,
"lineage_array": [
"<string>"
],
"parent": 123,
"parent_bank_account": 123,
"default_department": 123,
"default_tags": [
123
]
}Company Objects
Retrieve Chart Account
GET
/
coa
/
api
/
account
/
{id}
Retrieve Chart Account
Path Parameters
Response
200 - application/json
Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000Maximum string length:
12Maximum string length:
3Maximum string length:
250Maximum string length:
250ACTIVE- ActiveINACTIVE- Inactive
Available options:
ACTIVE, INACTIVE ASSET- AssetLIABILITY- LiabilityEQUITY- EquityREVENUE- RevenueCOGS- Cost of Goods SoldOPERATING_EXPENSES- Operating ExpensesOTHER_INCOME- Other IncomeOTHER_EXPENSE- Other ExpenseUNCATEGORIZED- UncategorizedCOST_ALLOCATION- Cost Allocation
Available options:
ASSET, LIABILITY, EQUITY, REVENUE, COGS, OPERATING_EXPENSES, OTHER_INCOME, OTHER_EXPENSE, UNCATEGORIZED, COST_ALLOCATION BANK- BankACCOUNTS_RECEIVABLE- Accounts ReceivableOTHER_CURRENT_ASSET- Other Current AssetFIXED_ASSET- Fixed AssetOTHER_ASSET- Other AssetACCOUNTS_PAYABLE- Accounts PayableUNAPPLIED_CREDITS- Unapplied CreditsCREDIT_CARD- Credit CardACCRUED_REVENUE- Accrued RevenueDEFERRED_REVENUE- Deferred RevenueOTHER_CURRENT_LIABILITY- Other Current LiabilityLONG_TERM_LIABILITY- Long Term LiabilityUNBILLED_RECEIVABLE- Unbilled ReceivableEQUITY- EquityRETAINED_EARNINGS- Retained EarningsINCOME- IncomeCOST_OF_GOODS_SOLD- Cost of Goods SoldEXPENSE- ExpenseDEFERRED_EXPENSE- Deferred ExpenseOTHER_INCOME- Other IncomeOTHER_EXPENSE- Other ExpenseREALIZED_GAIN_LOSS- Realized Gain LossUNREALIZED_GAIN_LOSS- Unrealized Gain LossPREPAID- PrepaidCOST_ALLOCATION- Cost AllocationUNCATEGORIZED- Uncategorized
Available options:
BANK, ACCOUNTS_RECEIVABLE, OTHER_CURRENT_ASSET, FIXED_ASSET, OTHER_ASSET, ACCOUNTS_PAYABLE, UNAPPLIED_CREDITS, CREDIT_CARD, ACCRUED_REVENUE, DEFERRED_REVENUE, OTHER_CURRENT_LIABILITY, LONG_TERM_LIABILITY, UNBILLED_RECEIVABLE, EQUITY, RETAINED_EARNINGS, INCOME, COST_OF_GOODS_SOLD, EXPENSE, DEFERRED_EXPENSE, OTHER_INCOME, OTHER_EXPENSE, REALIZED_GAIN_LOSS, UNREALIZED_GAIN_LOSS, PREPAID, COST_ALLOCATION, UNCATEGORIZED NONE- NoneOPERATING- OperatingINVESTING- InvestingFINANCING- Financing
Available options:
NONE, OPERATING, INVESTING, FINANCING Allow manual journal entries to post to this AR/AP account, bypassing subledger validation
Maximum string length:
250Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000Pre-computed lineage array from root to this account
Maximum string length:
50